import type { NobjcObject } from "objc-js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MLModelCollectionEntry extends _NSObject {
    static alloc(): _MLModelCollectionEntry;
    static new(): _MLModelCollectionEntry;
    init(): _MLModelCollectionEntry;
    isEqualToModelCollectionEntry$(entry: _MLModelCollectionEntry): boolean;
    modelIdentifier(): NobjcObject;
    modelURL(): NobjcObject;
}
